22 nov

Nog langer veiligheidsupdates voor TYPO3 CMS7

Support Tijd TYPO3

Waarom extended Long-Term-Support?

Op 10 november 2015 werd TYPO3 CMS 7 Long Term Support uitgebracht. Dat is al weer een ruime tijd terug, CMS8 en zelfs CMS9 zijn ondertussen uit. Net als bij veel andere OpenSource-projecten moet TYPO3 op een gegeven moment de officiële, gratis ondersteuning laten vallen op verouderde software. Maar ook wij weten als geen ander dat een migratie een grote klus is en dat dit soms wat extra tijd nodig heeft.

In deze situatie heb je bij TYPO3 de unieke mogelijkheid om je aan te melden voor een ondersteuningsplan (de zogenaamde ELTS of extended long term support). Dit plan is een win-win situatie voor zowel TYPO3 als voor jou. Op deze manier sponsor je het CMS team zodat deze extra tijd kunnen besteden aan ondersteuningen voor jou TYPO3 CMS versie 7.6.

We kunnen niet genoeg benadrukken dat deze plannen in geen geval een vrijkaart zijn om de noodzakelijke migratie verder uit te stellen dan absoluut noodzakelijk is; dit is echt een laatste redmiddel.

Door de aanschaf van deze extended licentie is de klant nog 1 jaar na het verlopen van bovenstaande datum gegarandeerd van core security updates en patches. Na het verlopen van de extended support periode, te weten 1 december 2019, kan deze support nog 2x een jaar worden uitgebreid. Ook is het mogelijk om direct voor 2 of 3 jaar een contract af te sluiten. Laat je zeker adviseren door je account manager en regel voor 1 december de ELTS.

Blijf compatibel met uw IT-infrastructuur

De ELTS-plannen hebben betrekking op browser compatibiliteit tot de nieuwste versies - zelfs als de reguliere ondersteuning van een TYPO3-versie deze browsers of browserversies niet meer zou dekken. Je hoeft je bijvoorbeeld dus geen zorgen te maken wanneer je IT afdeling nieuwe computers koopt, dat de redactieafdeling opeens niet meer in het CMS kan werken. 

Maar afgezien van ondersteuning voor redacteuren ondersteunen we ook de applicatie-service-laag zoals PHP of MySQL. TYPO3 ELTS-versies zullen soepel verlopen op PHP- en MySQL-versies waarvoor ze oorspronkelijk waren bedoeld.

PHP versie TYPO3 v9
2017 - 2021
TYPO3 v8
2015 - 2020
TYPO3 v7
2014 - 2018
CMS 6.2
2013 - 2017
PHP 5.3 Nee Nee Nee Ja
PHP 5.4 Nee Nee Nee Ja
PHP 5.5 Nee Nee Ja Ja
PHP 5.6 Nee Nee Ja Ja
PHP 7.0 Nee JaJa Nee
PHP 7.1 Nee Ja Ja Nee
PHP 7.2 Ja Ja Ja Nee
PHP 7.3 Ja Nee Nee Nee

Wees zo veilig als de huidige TYPO3 versies zijn!

Het beschermen van de gegevens van uw bedrijf en gebruikers is een van de belangrijkste en tijdrovende taken in IT. De ELTS-plannen maken alle beveiligingspatches beschikbaar van de huidige TYPO3-versies naar de ELTS-versies - en bieden dus hetzelfde beveiligingsniveau als actuele TYPO3 versies. Alle beveiligingspatches worden tijdig aangekondigd aan MaxServ, zodat wij de implementaties van de patches ruim van tevoren kunt plannen.

Geschreven door:

  • Ronald Meeuwissen

    Sales, Account & Partnerships